IF NOT EXISTS(SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'Data.Core.ActionEvent' AND COLUMN_NAME = 'ActivityStatusId')
BEGIN
	ALTER TABLE dbo.[Data.Core.ActionEvent] ADD ActivityStatusId int
	CONSTRAINT [ActivityStatusId] DEFAULT ('0') NOT NULL
END

IF NOT EXISTS(SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'Data.Core.ActionEvent' AND COLUMN_NAME = 'ActivityDeletedOn')
BEGIN
	ALTER TABLE dbo.[Data.Core.ActionEvent] ADD	ActivityDeletedOn datetime NULL
END

IF NOT EXISTS(SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'Data.Core.ActionEvent' AND COLUMN_NAME = 'ActivityUpdatedBy')
BEGIN
	ALTER TABLE dbo.[Data.Core.ActionEvent] ADD	ActivityUpdatedBy bigint NULL
END